Zum Inhalt springen

MiniMax Hailuo 02 [Pro] (Image to Video)

Integrieren

Modell-ID minimax/hailuo-02/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/hailuo-02/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: ≈0,48 $ 480 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
MiniMax · Video

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich 88 / 2000
•erforderlich image_url
Datei ablegen oder
Erweitert end_image · prompt_optimizer · enable_safety_checker
end_image_url
Datei ablegen oder

Optional ein Bild per URL bereitstellen, um das Videoende festzulegen: Das Bild wird zum letzten Frame.

POST /run/minimax/hailuo-02/pro/image-to-video?wait=20 Preis → 0,48 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/hailuo-02/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über MiniMax Hailuo 02 [Pro] (Image to Video)

Wandelt ein Startbild in `image_url` anhand eines Prompts mit bis zu 2000 Zeichen in ein Video um. Diese Pro-Stufe zielt auf eine 1080p-Ausgabe. Mit `end_image_url` kann das letzte Bild festgelegt werden, und `prompt_optimizer` ist standardmäßig aktiviert. Es wird keine Einstellung für Dauer oder Auflösung angeboten.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
≤ 2.000 Zeichen
image_urlerforderlich image
Typurl · image
prompt_optimizeroptional
Typboolean
Standardtrue
Aktivierung des Prompt-Optimierers des Modells.
end_image_urloptional end_image
Typurl · image
Optional ein Bild per URL bereitstellen, um das Videoende festzulegen: Das Bild wird zum letzten Frame.
enable_safety_checkeroptional
Typboolean
Standardtrue
Die Prüfung kann durch Setzen auf false gelockert werden, sofern der Aufrufer dazu berechtigt ist.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/hailuo-02/pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 480,
    "usd": "0.48",
    "charged": 480,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
video
object {url, content_type, file_name, file_size}Vom Modell erzeugtes Video.

Weitere Modelle: Bild zu Video

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/minimax/hailuo-02/pro/image-to-video.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt